--- old/usr/src/uts/common/vm/seg_kp.c	2015-05-08 18:04:44.234757471 -0400
+++ new/usr/src/uts/common/vm/seg_kp.c	2015-05-08 18:04:44.242170372 -0400
@@ -93,7 +93,6 @@
 static int	segkp_load(struct hat *hat, struct seg *seg, caddr_t vaddr,
 			size_t len, struct segkp_data *kpd, uint_t flags);
 static struct	segkp_data *segkp_find(struct seg *seg, caddr_t vaddr);
-static int	segkp_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp);
 
 /*
  * Lock used to protect the hash table(s) and caches.
@@ -145,7 +144,6 @@
 	.kluster	= segkp_kluster,
 	.dump		= segkp_dump,
 	.pagelock	= segkp_pagelock,
-	.getmemid	= segkp_getmemid,
 };
 
 
@@ -1361,13 +1359,6 @@
 	return (ENOTSUP);
 }
 
-/*ARGSUSED*/
-static int
-segkp_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp)
-{
-	return (ENODEV);
-}
-
 #include <sys/mem_config.h>
 
 /*ARGSUSED*/
--- old/usr/src/uts/common/vm/seg_kpm.c	2015-05-08 18:04:44.484882904 -0400
+++ new/usr/src/uts/common/vm/seg_kpm.c	2015-05-08 18:04:44.492071607 -0400
@@ -130,7 +130,6 @@
 	.getvp		= nop,
 	.advise		= nop,
 	.setpagesize	= nop,
-	.getmemid	= nop,
 	.getpolicy	= nop,
 #endif
 };
--- old/usr/src/uts/common/vm/vm_as.c	2015-05-08 18:04:44.694375735 -0400
+++ new/usr/src/uts/common/vm/vm_as.c	2015-05-08 18:04:44.701947563 -0400
@@ -3522,13 +3522,6 @@
 		AS_LOCK_EXIT(as, &as->a_lock);
 		return (EFAULT);
 	}
-	/*
-	 * catch old drivers which may not support getmemid
-	 */
-	if (seg->s_ops->getmemid == NULL) {
-		AS_LOCK_EXIT(as, &as->a_lock);
-		return (ENODEV);
-	}
 
 	sts = segop_getmemid(seg, addr, memidp);
 
--- old/usr/src/uts/common/vm/vm_seg.c	2015-05-08 18:04:45.015976771 -0400
+++ new/usr/src/uts/common/vm/vm_seg.c	2015-05-08 18:04:45.023690235 -0400
@@ -2014,7 +2014,8 @@
 int
 segop_getmemid(struct seg *seg, caddr_t addr, memid_t *mp)
 {
-	VERIFY3P(seg->s_ops->getmemid, !=, NULL);
+	if (seg->s_ops->getmemid == NULL)
+		return (ENODEV);
 
 	return (seg->s_ops->getmemid(seg, addr, mp));
 }
--- old/usr/src/uts/sparc/v9/vm/seg_nf.c	2015-05-08 18:04:45.286539975 -0400
+++ new/usr/src/uts/sparc/v9/vm/seg_nf.c	2015-05-08 18:04:45.293726415 -0400
@@ -77,7 +77,6 @@
 		    struct page ***ppp, enum lock_type type, enum seg_rw rw);
 static int	segnf_setpagesize(struct seg *seg, caddr_t addr, size_t len,
 		    uint_t szc);
-static int	segnf_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp);
 
 
 struct seg_ops segnf_ops = {
@@ -104,7 +103,6 @@
 	.dump		= segnf_dump,
 	.pagelock	= segnf_pagelock,
 	.setpagesize	= segnf_setpagesize,
-	.getmemid	= segnf_getmemid,
 };
 
 /*
@@ -465,10 +463,3 @@
 {
 	return (ENOTSUP);
 }
-
-/*ARGSUSED*/
-static int
-segnf_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp)
-{
-	return (ENODEV);
-}
